Subject: bug#61514: 30.0.50; sadistically long xml line hangs emacs

From: Gregory Heytings <[email-masked]>
Date: Tue, 21 Feb 2023 14:38:41 +0000

>
> OK, but does it sound outrageous to have more than 1K of non-newline 
> characters in a row without any brackets?
>
> At the very least, maybe make the value be in some variable?
>

See my reply to Stefan.  With a 'with-restriction' of 10000 chars, the 
file opens in 1.6 seconds.  I'm not sure it would make sense to add a 
variable/defcustom there instead of the (admittedly somewhat arbitrary) 
constant 10000, which should be large enough in practice.